import 'dart:async';

import 'package:flutter/services.dart';

class PhoneAuthPlugin {
  static const MethodChannel _channel =
      const MethodChannel('phone_auth_plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future getOtpForNumber(String number) async{
    await _channel.invokeMethod('SEND_CODE',{"PHONE_NUMBER": number});
  }

  static Future verifyCode(String code) async{
    await _channel.invokeMethod('VERIFY_CODE',{"CODE": code});
  }
}
